
%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.16
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:                   conmon
Version:                2.0.26
Release:                2%{?dist}
Epoch:			        3
Summary:                An OCI container runtime monitor
License:                Apache-2.0
Url:                    https://github.com/containers/conmon
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America

BuildRequires:          git
BuildRequires:          gcc
BuildRequires:          make
BuildRequires:          glibc-static
BuildRequires:          glib2-devel
BuildRequires:          glibc-devel
BuildRequires:          pkgconfig
BuildRequires:		    golang >= %{golang_version}

%description
Conmon is a monitoring program and communication tool between a container manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a single container.

%prep
%setup -n %{name}-%{version}

%build
%{__make} bin/conmon

%install
%{__make} PREFIX=%{buildroot}%{_libexecdir}/crio BINDIR=%{buildroot}%{_libexecdir}/crio install
# OL8 version of podman doesn't know about /usr/libexec/crio/conmon 
install -dp %{buildroot}%{_bindir}
ln -sf %{_libexecdir}/crio/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_libexecdir}/crio/share/man/man8/%{name}*.8
%attr(755,root,root) %{_libexecdir}/crio/%{name}
%{_bindir}/%{name}
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Mon Nov 22 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 3:2.0.26-2
- updated golang version
- added buildhost variable

* Thu Feb 04 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 3:2.0.26-1
- Added build scripts
